### Function

# GLib random_double_range

since: 2.0

#### Declaration

    gdouble
    g_random_double_range (
      gdouble begin,
      gdouble end
    )

#### Description

Returns a random #gdouble equally distributed over the range [`begin`..`end`).

Available since: 2.0

#### Parameters

`begin`

  Type: `gdouble`

  Lower closed bound of the interval.

`end`

  Type: `gdouble`

  Upper open bound of the interval.

#### Return value

Type: `gdouble`

A random number.